package com.dsic.gj_erp.controller.yuyin;

import com.dsic.gj_erp.bean.ResultBean;
import com.dsic.gj_erp.wsclient.WebSocketService;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.socket.WebSocketSession;

@RestController
@RequestMapping("yuyin")
@RequiredArgsConstructor
public class YuyinController {

    private final WebSocketService socketService;

    /**
     * 重连语音上报websocket服务器
     */
    @GetMapping("recon")
    public ResultBean<?> recon() throws Exception {
        WebSocketSession session = socketService.getSession();
        if (session==null){
            socketService.init();
        }else {
            socketService.disconnect();
            socketService.init();
        }
        return new ResultBean<>();
    }
}
