package com.dsic.gj_erp.controller.zyjh;

import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.dsic.gj_erp.bean.ResultBean;
import com.dsic.gj_erp.bean.jhgk.DmYdjhLj;
import com.dsic.gj_erp.service.jcsj.impl.DmDwxxpService;
import com.dsic.gj_erp.service.jhgk.DmYdjhLjService;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("zyjh")
@AllArgsConstructor
public class GetXXXController {

    private final DmDwxxpService dmDwxxpService;
    private final DmYdjhLjService ydjhLjService;

    @PostMapping("getYdjhlj")
    public ResultBean<?> getYdjhlj(@RequestBody DmYdjhLj lj){
        List<DmYdjhLj> list = ydjhLjService.list(Wrappers.<DmYdjhLj>lambdaQuery()
                .eq(DmYdjhLj::getCzbh, lj.getCzbh())
                .eq(StrUtil.isNotEmpty(lj.getPl()), DmYdjhLj::getPl, lj.getPl())
        );
        return new ResultBean<>(list);
    }

    @GetMapping("getBFangDwxx")
    public ResultBean<?> getBFangDwxx(){
        return new ResultBean<>(dmDwxxpService.getDwxxForSelect());
    }
}
