package com.dsic.gj_erp.dao.sy;


import com.dsic.gj_erp.bean.sy.DmBhsjp;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

@Repository
public interface DmBhsjpRepository extends JpaRepository<DmBhsjp,String> {


   @Modifying
   @Query(value = "insert into DM_BHSJP (ZXTBM, JGM, BMMC, BMQZ, BMSXH) values (:#{#dmBhsjp.zxtbm}, :#{#dmBhsjp.jgm}, :#{#dmBhsjp.bmmc}, :#{#dmBhsjp.bmqz}, :#{#dmBhsjp.bmsxh})", nativeQuery = true)
   int addBhsjp(@Param("dmBhsjp") DmBhsjp dmBhsjp);

}